## ros-galactic-rqt-topic 1.4.0

=== debian/changelog ===
ros-galactic-rqt-topic (1.4.0-1focal) focal; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 13 Sep 2022 07:00:00 -0000

ros-galactic-rqt-topic (1.3.0-1focal) focal; urgency=high

  * Fix the display of array type elements. (#41 <https://github.com/ros-visualization/rqt_topic/issues/41>)
  * Fix removal of topics while they are being monitored. (#39 <https://github.com/ros-visualization/rqt_topic/issues/39>)
  * Contributors: Chris Lalancette

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 10 May 2022 07:00:00 -0000

ros-galactic-rqt-topic (1.2.3-1focal) focal; urgency=high

  * Update maintainers to Audrow Nash (#37 <https://github.com/ros-visualization/rqt_topic/issues/37>)
  * Contributors: Audrow Nash

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 06 Apr 2022 07:00:00 -0000

ros-galactic-rqt-topic (1.2.2-1focal) focal; urgency=high

  * Fix modern setuptools warning about dashes instead of underscores (#34 <https://github.com/ros-visualization/rqt_topic/issues/34>)
  * Remove obsolete warnings (#31 <https://github.com/ros-visualization/rqt_topic/issues/31>)
  * Contributors: Chris Lalancette, Michael Jeronimo

 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Tue, 31 Aug 2021 07:00:00 -0000

ros-galactic-rqt-topic (1.2.1-1focal) focal; urgency=high

  * Add pytest.ini to silence warnings when running locally.
  * Fix warnings pointed out by flake8.
  * Contributors: Chris Lalancette

 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Tue, 06 Apr 2021 07:00:00 -0000

ros-galactic-rqt-topic (1.2.0-1focal) focal; urgency=high

  * Created an entry-point for rqt_topic in setup.py (#16 <https://github.com/ros-visualization/rqt_topic/issues/16>)
  * Fix flake8 errors and add linter tests (#28 <https://github.com/ros-visualization/rqt_topic/issues/28>)
  * Update Open Robotics Maintainer (#26 <https://github.com/ros-visualization/rqt_topic/issues/26>)
  * Use raw / non-string value for ordering (#23 <https://github.com/ros-visualization/rqt_topic/issues/23>)
  * Support order fields as defined in message (#22 <https://github.com/ros-visualization/rqt_topic/issues/22>)
  * Fix the type cell value for sequence items (#21 <https://github.com/ros-visualization/rqt_topic/issues/21>)
  * Updated version package and license in setup.py (#17 <https://github.com/ros-visualization/rqt_topic/issues/17>)
  * Contributors: Alejandro Hernández Cordero, Dirk Thomas, Scott K Logan

 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Fri, 19 Mar 2021 07:00:00 -0000

ros-galactic-rqt-topic (1.1.0-1focal) focal; urgency=high

  * set qos_profile (#14 <https://github.com/ros-visualization/rqt_topic/issues/14>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 13 Nov 2019 08:00:00 -0000

ros-galactic-rqt-topic (1.0.0-1focal) focal; urgency=high

  * removing the spinner from the ros2 port (#11 <https://github.com/ros-visualization/rqt_topic/issues/11>)
  * Merge pull request #9 <https://github.com/ros-visualization/rqt_topic/issues/9> from ros-visualization/ros2_port
  * Porting to ROS2
  * autopep8 (#6 <https://github.com/ros-visualization/rqt_topic/issues/6>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 05 Mar 2019 08:00:00 -0000

ros-galactic-rqt-topic (0.4.10-1focal) focal; urgency=high

  * fix order by bandwidth column (#4 <https://github.com/ros-visualization/rqt_topic/issues/4>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 16 Nov 2017 08:00:00 -0000

ros-galactic-rqt-topic (0.4.9-1focal) focal; urgency=high

  * fix section resize toggle with Qt5 (#2 <https://github.com/ros-visualization/rqt_topic/issues/2>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 06 Nov 2017 08:00:00 -0000

ros-galactic-rqt-topic (0.4.8-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 24 Apr 2017 07:00:00 -0000

ros-galactic-rqt-topic (0.4.7-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 02 Mar 2017 08:00:00 -0000

ros-galactic-rqt-topic (0.4.6-1focal) focal; urgency=high

  * remove usage of undocumented cStringIO.StringIO len attribute (#434 <https://github.com/ros-visualization/rqt_common_plugins/pull/434>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 27 Feb 2017 08:00:00 -0000

ros-galactic-rqt-topic (0.4.5-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 03 Feb 2017 08:00:00 -0000

ros-galactic-rqt-topic (0.4.4-1focal) focal; urgency=high

  * use Python 3 compatible syntax (#421 <https://github.com/ros-visualization/rqt_common_plugins/pull/421>)
  * catch unhandled exceptions when rosmaster disappears while widget is running (#419 <https://github.com/ros-visualization/rqt_common_plugins/pull/419>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 24 Jan 2017 08:00:00 -0000

ros-galactic-rqt-topic (0.4.3-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 02 Nov 2016 07:00:00 -0000

ros-galactic-rqt-topic (0.4.2-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 19 Sep 2016 07:00:00 -0000

ros-galactic-rqt-topic (0.4.1-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 16 May 2016 07:00:00 -0000

ros-galactic-rqt-topic (0.4.0-1focal) focal; urgency=high

  * Support Qt 5 (in Kinetic and higher) as well as Qt 4 (in Jade and earlier) (#359 <https://github.com/ros-visualization/rqt_common_plugins/pull/359>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 27 Apr 2016 07:00:00 -0000

ros-galactic-rqt-topic (0.3.13-1focal) focal; urgency=high

  * check for divide by zero and data failures
  * Contributors: Aaron Blasdel

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 08 Mar 2016 08:00:00 -0000

ros-galactic-rqt-topic (0.3.12-1focal) focal; urgency=high

  * Save/Restore of headers added
  * Contributors: Aaron Blasdel

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 24 Jul 2015 07:00:00 -0000

ros-galactic-rqt-topic (0.3.11-1focal) focal; urgency=high




